Subject: Re: [PATCH] sequencer: fix edit handling for cherry-pick and revert messages

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Mar 2021 13:52:57 -0700

Phillip Wood <[email-masked]> writes:

> On 26/03/2021 07:16, Elijah Newren via GitGitGadget wrote:
>> From: Elijah Newren <[email-masked]>
>> save_opts() should save any non-default values.  It was intended to
>> do
>> this, but since most options in struct replay_opts default to 0, it only
>> saved non-zero values.  Unfortunatley,
>
> s/Unfortunatley/Unfortunately/ also s/iff/if/ in a few places below.

I think the latter is delibrate use of common abbreviation of "if
and only if".

> It might be worth emphasizing that despite its name
> continue_single_pick() is used to commit conflict resolutions
> regardless of the number of picks - I had to check the code to see
> what it was doing in the multi-pick case.

metoo ;-)

> I was surprised how big a change was required to the existing code but
> it seems this is surprising tricky to get right - I cannot think of
> any simplifications.

Thanks for a review.